Create/Update users

post

/cloudapi/restapi/user

This operation enables you to create and modify users records. The operation creates a user if a matching user does not exist in the system or modifies the user if a match is found. The primary key for the user object is loginId. Any new roles provided under the roles attribute are provisioned for the user by the operation. If the request data does not include roles assigned to the user in the existing database, those role assignments will be removed. If successful, this operation returns an accepted status (202) with a location header pointing to a jobId status. The operation is complete when the jobId status returns OK (200). The previous create user operation must complete before another create user operation is allowed.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : UserDataStore
Type: object
Title: UserDataStore
User create, update, delete request payload and job result.
Show Source
Nested Schema : List<UserRO>
Type: array
Title: List<UserRO>
Users to create.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
User login IDs to delete.
Show Source
Nested Schema : List<UserRO>
Type: array
Title: List<UserRO>
Users that failed delete processing.
Show Source
Nested Schema : List<UserRO>
Type: array
Title: List<UserRO>
Users to update.
Show Source
Nested Schema : updatedIdMap
Type: object
Title: updatedIdMap
Additional Properties Allowed
Show Source
  • Mapping of original user identifiers to updated identifiers.
Mapping of original user identifiers to updated identifiers.
Nested Schema : UserRO
Type: object
Title: UserRO
User record used by Cloud Administration user management APIs.
Show Source
Nested Schema : CloudTZDateTime
Type: object
Title: CloudTZDateTime
Read Only: true
Date and time when the password was last reset.
Show Source
Nested Schema : CompanyRO
Type: object
Title: CompanyRO
Company or organization record used by Cloud Administration APIs.
Show Source
Nested Schema : List<RoleRO>
Type: array
Title: List<RoleRO>
Roles assigned to the user.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Unique Items Required: true
Role or product associations for the company.
Show Source
Nested Schema : ShortPasswordPolicyRO
Type: object
Title: ShortPasswordPolicyRO
Summary password policy associated with a company.
Show Source
Nested Schema : RoleRO
Type: object
Title: RoleRO
Application role assigned to a user or company.
Show Source
Examples

Back to Top

Response

Supported Media Types

202 Response

Create/Modify Users request has been accepted and currently in progress.
Body ()
Root Schema : schema
Type: integer(int64)

400 Response

Invalid input, Please check.

409 Response

Another create or modify users job is already running for this session.

500 Response

Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.
Back to Top